> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Allow a domain for collaboration

export const Link = ({href, children, className, ...props}) => {
  const localizedHref = href;
  return <a href={localizedHref} className={className} {...props}>
      {children}
    </a>;
};

export const MultiRelatedLinks = ({sections = []}) => {
  if (!sections || sections.length === 0) {
    return null;
  }
  return <div className="space-y-8">
      {sections.map((section, index) => <RelatedLinks key={index} title={section.title} items={section.items} />)}
    </div>;
};

export const RelatedLinks = ({title, items = []}) => {
  const getBadgeClass = badge => {
    if (!badge) return "badge-default";
    const badgeType = badge.toLowerCase().replace(/\s+/g, "-");
    return `badge-${badge === "ガイド" ? "guide" : badgeType}`;
  };
  if (!items || items.length === 0) {
    return null;
  }
  return <div className="my-8">
      {}
      <h3 className="text-sm font-bold uppercase tracking-wider mb-4">{title}</h3>

      {}
      <div className="flex flex-col gap-3">
        {items.map((item, index) => <a key={index} href={item.href} className="py-2 px-3 rounded related_link hover:bg-[#f2f2f2] dark:hover:bg-[#111827] flex items-center gap-3 group no-underline hover:no-underline border-b-0">
            {}
            <span className={`px-2 py-1 rounded-full text-xs font-semibold uppercase tracking-wide flex-shrink-0 ${getBadgeClass(item.badge)}`}>
              {item.badge}
            </span>

            {}
            <span className="text-base">{item.label}</span>
          </a>)}
      </div>
    </div>;
};

An enterprise that normally restricts creating collaborations can
add domains, such as `example.com`, to a list for which collaborations may be
created within the enterprise.

<CodeGroup>
  ```sh cURL theme={null}
  curl -i -X POST "https://api.box.com/2.0/collaboration_whitelist_entries" \
       -H "authorization: Bearer <ACCESS_TOKEN>" \
       -H "content-type: application/json" \
       -d '{
         "domain": "example.com",
         "direction": "inboud"
       }'
  ```

  ```typescript Node/TypeScript v10 theme={null}
  await client.collaborationAllowlistEntries.createCollaborationWhitelistEntry({
    direction:
      'inbound' as CreateCollaborationWhitelistEntryRequestBodyDirectionField,
    domain: domain,
  } satisfies CreateCollaborationWhitelistEntryRequestBody);
  ```

  ```python Python v10 theme={null}
  client.collaboration_allowlist_entries.create_collaboration_whitelist_entry(
      domain, CreateCollaborationWhitelistEntryDirection.INBOUND
  )
  ```

  ```cs .NET v10 theme={null}
  await client.CollaborationAllowlistEntries.CreateCollaborationWhitelistEntryAsync(requestBody: new CreateCollaborationWhitelistEntryRequestBody(direction: CreateCollaborationWhitelistEntryRequestBodyDirectionField.Inbound, domain: domain));
  ```

  ```swift Swift v10 theme={null}
  try await client.collaborationAllowlistEntries.createCollaborationWhitelistEntry(requestBody: CreateCollaborationWhitelistEntryRequestBody(direction: CreateCollaborationWhitelistEntryRequestBodyDirectionField.inbound, domain: domain))
  ```

  ```java Java v10 theme={null}
  client.getCollaborationAllowlistEntries().createCollaborationWhitelistEntry(new CreateCollaborationWhitelistEntryRequestBody(domain, CreateCollaborationWhitelistEntryRequestBodyDirectionField.INBOUND))
  ```

  ```cs .NET v6 theme={null}
  BoxCollaborationWhitelistEntry entry = await client.CollaborationWhitelistManager.AddCollaborationWhitelistEntryAsync(
      "example.com",
      "both"
  );
  ```

  ```javascript Node v4 theme={null}
  client.collaborationAllowlist.addDomain('test.com', client.collaborationAllowlist.directions.INBOUND, callback);
  ```
</CodeGroup>

The
<Link href="/reference/post-collaboration-whitelist-entries">endpoint</Link>
will require the `domain` to allow the collaborations between, and a
`direction`, which may be set to:

* `inbound`: Whether external users may be collaborated in on content in your enterprise.
* `outbound`: Whether your enterprise managed users may be collaborated in on content owned within an external enterprise.
* `both`: Both of the above.

Supply both parameter to set up the new allowed domain.

<CodeGroup>
  ```sh cURL theme={null}
  curl -i -X POST "https://api.box.com/2.0/collaboration_whitelist_entries" \
       -H "authorization: Bearer <ACCESS_TOKEN>" \
       -H "content-type: application/json" \
       -d '{
         "domain": "example.com",
         "direction": "inboud"
       }'
  ```

  ```typescript Node/TypeScript v10 theme={null}
  await client.collaborationAllowlistEntries.createCollaborationWhitelistEntry({
    direction:
      'inbound' as CreateCollaborationWhitelistEntryRequestBodyDirectionField,
    domain: domain,
  } satisfies CreateCollaborationWhitelistEntryRequestBody);
  ```

  ```python Python v10 theme={null}
  client.collaboration_allowlist_entries.create_collaboration_whitelist_entry(
      domain, CreateCollaborationWhitelistEntryDirection.INBOUND
  )
  ```

  ```cs .NET v10 theme={null}
  await client.CollaborationAllowlistEntries.CreateCollaborationWhitelistEntryAsync(requestBody: new CreateCollaborationWhitelistEntryRequestBody(direction: CreateCollaborationWhitelistEntryRequestBodyDirectionField.Inbound, domain: domain));
  ```

  ```swift Swift v10 theme={null}
  try await client.collaborationAllowlistEntries.createCollaborationWhitelistEntry(requestBody: CreateCollaborationWhitelistEntryRequestBody(direction: CreateCollaborationWhitelistEntryRequestBodyDirectionField.inbound, domain: domain))
  ```

  ```java Java v10 theme={null}
  client.getCollaborationAllowlistEntries().createCollaborationWhitelistEntry(new CreateCollaborationWhitelistEntryRequestBody(domain, CreateCollaborationWhitelistEntryRequestBodyDirectionField.INBOUND))
  ```

  ```cs .NET v6 theme={null}
  BoxCollaborationWhitelistEntry entry = await client.CollaborationWhitelistManager.AddCollaborationWhitelistEntryAsync(
      "example.com",
      "both"
  );
  ```

  ```javascript Node v4 theme={null}
  client.collaborationAllowlist.addDomain('test.com', client.collaborationAllowlist.directions.INBOUND, callback);
  ```
</CodeGroup>

<RelatedLinks
  title="RELATED APIS"
  items={[
{ label: translate("Add domain to list of allowed collaboration domains"), href: "/reference/post-collaboration-whitelist-entries", badge: "POST" }
]}
/>

<RelatedLinks
  title="RELATED GUIDES"
  items={[
{ label: translate("Collaborations"), href: "/guides/collaborations/index", badge: "GUIDE" },
{ label: translate("List allowed domains for collaboration"), href: "/guides/collaborations/allowed-domains/list", badge: "GUIDE" },
{ label: translate("Remove a previously allowed domain for collaboration"), href: "/guides/collaborations/allowed-domains/delete", badge: "GUIDE" }
]}
/>
